Run of uncommitted for mdadm

Try this locally (using the package):

debcheckout mdadm
cd mdadm
import-upload
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
Processing: mdadm
Total 0 (delta 0), reused 0 (delta 0)
Reading package lists...
NOTICE: 'mdadm' packaging is maintained in the 'Git' version control system at:
https://git.dgit.debian.org/mdadm
Please use:
git clone https://git.dgit.debian.org/mdadm
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 682 kB of source archives.
Get:1 http://deb.debian.org/debian unstable/main mdadm 4.1-5 (dsc) [1,904 B]
Get:2 http://deb.debian.org/debian unstable/main mdadm 4.1-5 (tar) [584 kB]
Get:3 http://deb.debian.org/debian unstable/main mdadm 4.1-5 (diff) [96.5 kB]
dpkg-source: info: extracting mdadm in mdadm-4.1
dpkg-source: info: unpacking mdadm_4.1.orig.tar.gz
dpkg-source: info: unpacking mdadm_4.1-5.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying 0001-Assemble-keep-MD_DISK_FAILFAST-and-MD_DISK_WRITEMOST.patch
dpkg-source: info: applying 0002-Document-PART-POLICY-lines.patch
dpkg-source: info: applying 0003-policy-support-devices-with-multiple-paths.patch
dpkg-source: info: applying 0004-mdcheck-add-systemd-unit-files-to-run-mdcheck.patch
dpkg-source: info: applying 0005-Monitor-add-system-timer-to-run-oneshot-periodically.patch
dpkg-source: info: applying 0006-imsm-update-metadata-correctly-while-raid10-double-d.patch
dpkg-source: info: applying 0007-Assemble-mask-FAILFAST-and-WRITEMOSTLY-flags-when-fi.patch
dpkg-source: info: applying 0008-Grow-avoid-overflow-in-compute_backup_blocks.patch
dpkg-source: info: applying 0009-Grow-report-correct-new-chunk-size.patch
dpkg-source: info: applying 0010-policy.c-prevent-NULL-pointer-referencing.patch
dpkg-source: info: applying 0011-policy.c-Fix-for-compiler-error.patch
dpkg-source: info: applying debian-conffile-location.diff
dpkg-source: info: applying debian-no-Werror.diff
dpkg-source: info: applying sha1-includes.diff
dpkg-source: info: applying readlink-path.patch
dpkg-source: info: applying mdmonitor-service-simplify.diff
dpkg-source: info: applying 0001-Create-add-support-for-RAID0-layouts.patch
dpkg-source: info: applying 0002-Assemble-add-support-for-RAID0-layouts.patch
dpkg-source: info: applying 0001-Respect-CROSS_COMPILE-when-CC-is-the-default.patch
dpkg-source: info: applying lp-1847924-introduce-new-array-state-broken.patch
Fetched 682 kB in 1s (531 kB/s)
Missing versions: 4.1-5, 4.1-4, 4.1-3
Extracting upstream version 4.1.
Searching for revision importing mdadm version 4.1 on main branch, tag debian/4.1-2, tag debian/4.1-1.
Elapsed time: 0:03:30.849218
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 311, in lookup_tag
    return td[tag_name]
KeyError: 'upstream/4.1'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/.config/breezy/plugins/debian/upstream/pristinetar.py", line 521, in version_component_as_revision
    return self.branch.tags.lookup_tag(tag_name)
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 313, in lookup_tag
    raise errors.NoSuchTag(tag_name)
breezy.errors.NoSuchTag: No such tag: upstream/4.1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/uncommitted.py", line 137, in make_changes
    upstream_tips = db.pristine_upstream_source\
  File "/home/janitor/.config/breezy/plugins/debian/upstream/pristinetar.py", line 492, in version_as_revisions
    None: self.version_component_as_revision(
  File "/home/janitor/.config/breezy/plugins/debian/upstream/pristinetar.py", line 523, in version_component_as_revision
    raise PackageVersionNotPresent(package, version, self)
breezy.plugins.debian.errors.PackageVersionNotPresent: mdadm 4.1 was not found in <PristineTarSource at file:///home/janitor/tmp/tmpr8_jn62l/mdadm/>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 193, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 985, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 948, in main
    result = process_package(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 797, in process_package
    description = subworker.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 623, in make_changes
    result = self.changer.make_changes(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/uncommitted.py", line 142, in make_changes
    raise Exception(
Exception: unable to find upstream version '4.1'

Full worker log